| OpenMS 2.5.0

OpenSwathMzMLFileCacher

Serialize a spectra and/or chromatogram mzML file

This class will serialize a spectra and/or chromatogram mzML file and store it in a binary format that contains ONLY the spectra and chromatogram data (no metadata).

This is implemented using the write_memdump and read_memdump functions. For reading there are 2 options

- read the whole file into the OpenMS datastructures
- read only an index (read_memdump_idx) of the spectra and chromatograms and then use random-access to retrieve a specific spectra from the disk (read_memdump_spectra)

Note
  This tool is experimental!

The command line parameters of this tool are:

    OpenSwathMzMLFileCacher -- This tool caches the spectra and chromatogram data of an mzML to disk.

    Full documentation: http://www.openms.de/documentation/UTILS_OpenSwathMzMLFileCacher.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      OpenSwathMzMLFileCacher <options>

    Options (mandatory options marked with '*'):

      -in <file>*                Input mzML file (valid formats: 'mzML', 'sqMass')

      -in_type <type>            Input file type -- default: determined from file extension or content

                                 (valid: 'mzML', 'sqMass')

      -out <file>*               Output file (valid formats: 'mzML', 'sqMass')

      -out_type <type>           Output file type -- default: determined from file extension or content

                                 Note: that not all conversion paths work or make sense. (valid: 'mzML', 'sqMass

                                 ')

      -convert_back              Convert back to mzML

      -lossy_compression <type>  Use numpress compression to achieve optimally small file size (attention: may

                                 cause small loss of precision; only for mzML data). (default: 'true' valid: 'tru

                                 e', 'false')

      -full_meta <type>          Write full meta information into sqMass file (may require large amounts of memor

                                 y) (default: 'true' valid: 'true', 'false')

    Common UTIL options:

      -ini <file>                Use the given TOPP INI file

      -threads <n>               Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>          Writes the default configuration file

      --help                     Shows options

      --helphelp                 Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+OpenSwathMzMLFileCacher This tool caches the spectra and chromatogram data of an mzML to disk.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'OpenSwathMzMLFileCacher'
in Input mzML file input file*.mzML,*.sqMass
in_type input file type -- default: determined from file extension or content
mzML,sqMass
out Output file output file*.mzML,*.sqMass
out_type Output file type -- default: determined from file extension or content
Note: that not all conversion paths work or make sense.mzML,sqMass
convert_back false Convert back to mzML true,false
lossy_compression true Use numpress compression to achieve optimally small file size (attention: may cause small loss of precision; only for mzML data).true,false
full_meta true Write full meta information into sqMass file (may require large amounts of memory)true,false
lossy_mass_accuracy-1.0 Desired (absolute) m/z accuracy for lossy compression (e.g. use 0.0001 for a mass accuracy of 0.2 ppm at 500 m/z, default uses -1.0 for maximal accuracy).
process_lowmemory false Whether to process the file on the fly without loading the whole file into memory first (only for conversions of mzXML/mzML to mzML).
Note: this flag will prevent conversion from spectra to chromatograms.true,false
lowmem_batchsize 500 The batch size of the low memory conversion 0:∞
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false